package model;

import config.subConfig.TemplateConfig;

import java.awt.*;

/**
 * @author duh
 * @create 2018/7/17 15:00
 * @email duh@elab-plus.com
 **/
public class XS extends Template{
    private Room room;
    private TemplateConfig config;
    public XS(){
        setName("XS");
    }

    public XS(Room room) {
        this.room = room;
    }

    @Override
    public void drawSelf(Graphics g) {
        Graphics2D g2d = (Graphics2D) g.create();
        g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
        g2d.setColor(Color.GRAY);
        // 1. 绘制一个矩形: 起点(30, 20), 宽80, 高100
        g2d.drawRect(x, y, config.getWidth(), config.getLength());
        g2d.drawOval(x, y, config.getWidth(), config.getLength());
        g2d.drawOval(x+10, y+10, config.getWidth()-10, config.getLength()-10);
    }

    public Room getRoom() {
        return room;
    }

    public void setRoom(Room room) {
        this.room = room;
    }

    public TemplateConfig getConfig() {
        return config;
    }

    public void setConfig(TemplateConfig config) {
        this.config = config;
    }
}
